//
//	VidyoDevice_Objc.h
//	VidyoClient
//
//	This file is auto generated, do not edit this file
//	Copyright (c) 2016 Vidyo, Inc. All rights reserved.
//

typedef NS_ENUM(NSInteger, VCDeviceAudioSignalType){
	VCDeviceAudioSignalTypeVoice,
	VCDeviceAudioSignalTypeUnprocessed
};
typedef NS_ENUM(NSInteger, VCDeviceOrientation){
	VCDeviceOrientationUP,
	VCDeviceOrientationDOWN,
	VCDeviceOrientationLEFT,
	VCDeviceOrientationRIGHT
};
typedef NS_ENUM(NSInteger, VCDeviceState){
	VCDeviceStateAdded,
	VCDeviceStateRemoved,
	VCDeviceStateStarted,
	VCDeviceStateStopped,
	VCDeviceStateSuspended,
	VCDeviceStateUnsuspended,
	VCDeviceStateInUse,
	VCDeviceStateAvailable,
	VCDeviceStatePaused,
	VCDeviceStateResumed,
	VCDeviceStateControlledByRemoteEntity,
	VCDeviceStateNotControlledByRemoteEntity,
	VCDeviceStateControllable,
	VCDeviceStateNotControllable,
	VCDeviceStateDefaultChanged,
	VCDeviceStateConfigureSuccess,
	VCDeviceStateConfigureError,
	VCDeviceStateConfigurationChanged,
	VCDeviceStateError,
	VCDeviceStateUnableGetDeviceData,
	VCDeviceStateUnexpectedEvent
};
typedef NS_ENUM(NSInteger, VCDeviceType){
	VCDeviceTypeLocalCamera,
	VCDeviceTypeLocalMicrophone,
	VCDeviceTypeLocalMonitor,
	VCDeviceTypeLocalWindowShare,
	VCDeviceTypeLocalSpeaker,
	VCDeviceTypeLocalRenderer,
	VCDeviceTypeRemoteCamera,
	VCDeviceTypeRemoteMicrophone,
	VCDeviceTypeRemoteWindowShare,
	VCDeviceTypeRemoteSpeaker,
	VCDeviceTypeRemoteRenderer,
	VCDeviceTypeVirtualVideoSource
};
@interface VCDevice : NSObject
{
	void* objPtr;
}

	@property NSMutableString* id;
	@property NSMutableString* name;
	@property VCDeviceType type;
	-(void) dealloc;
	-(BOOL) derivedEqual;
	-(NSString*) getId;
	-(NSString*) getName;
	-(VCDeviceType) getType;
	-(id) initWithObject:(void*)rPtr;
	-(void*)getObjectPtr;
@end
